post
https://my.jfrog.com/api/jmis/v1/allowlist/
Adds or updates entries in the JPD allowlist.
Send IPs, tenant full domain names, or both in the same request. Existing entries in the allowlist are not affected.
Security: Requires a valid token.
Limitations
- At least one IP or tenant full domain name value is required.
- Maximum 2500 unique IP/CIDR values in a single POST request.
- Maximum Allowlist Size: 4500 unique IP/CIDR values per subscription
- Private IPs (RFC 1918) cannot be added: 10.0.0.0/8, 172.16.0.0/12, 192.168.0.0/16.
- When using tenantFullDomainNames: maximum 100 tenant entries in a single POST request; each tenant full domain name must be a lowercase single label ending in .jfrog.io (max 70 characters).
- Unknown tenant names are silently dropped; the request still returns success.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Failed. Also returned when addition would exceed maximum allowlist length
401Unauthorized user
403Server Blocked / Valid token does not match the server name
409Another IP action is in progress (try again in a few minutes)
429Too many requests
500Internal Server Error
